Support Issues for Vehicle Registration

Currently, the only browsers that are compatible with this system are Mozilla Firefox and Google Chrome and Internet Explorer versions 8, 9, and 10 and you must have pop-ups enabled for the page

If you are using Internet Explorer versions 8 or 9 you may have run into a problem during your registration process. Internet Explorer 8 and 9 have a compatibility issue that can be resolved by turning “Compatibility View” on.

• To go to the registration page click here.

Internet Explorer 9: (icon changes color when on)

• Click the “broken page” icon

Internet Explorer 9 example 1

Internet Explorer 9 example 2

Internet Explorer 8: (icon does not change color)

• Click “Page”
• Click “Compatibility View”

Internet Explorer 8 example

Both methods will add the page to the list of sites where compatibility view is used. This action will not need to completed at each page visit.

Share |